type: google.api.Service
config_version: 3
name: secretmanager.googleapis.com
title: Secret Manager API

apis:
- name: google.cloud.secretmanager.v1.SecretManagerService

documentation:
  summary: |-
    Stores sensitive data such as API keys, passwords, and certificates.
    Provides convenience while improving security.
  overview: Secret Manager Overview

backend:
  rules:
  - selector: 'google.cloud.secretmanager.v1.SecretManagerService.*'
    deadline: 60.0

authentication:
  rules:
  - selector: 'google.cloud.secretmanager.v1.SecretManagerService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
